Name:          archivemount
Version:       0.6.1
Release:       4%{?dist}
Summary:       FUSE based filesystem for mounting compressed archives

Group:         System Environment/Libraries
License:       LGPLv2+
URL:           http://www.cybernoia.de/software/archivemount/
Source0:       http://www.cybernoia.de/software/archivemount/%{name}-%{version}.tar.gz
Patch0:        archivemount_force-single-threaded.patch
Patch1:        fix-debuginfo.patch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires:      fuse
BuildRequires: fuse-devel
BuildRequires: libarchive-devel

%description
Archivemount is a piece of glue code between libarchive and FUSE. It can be
used to mount a (possibly compressed) archive (as in .tar.gz or .tar.bz2)
and use it like an ordinary filesystem.

%prep
%setup -q
%patch0 -p1 -b .single-threaded
%patch1 -p1 -b .fix-debuginfo

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
rm -f archivemount.1
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc CHANGELOG COPYING README
%{_mandir}/*/*
%{_bindir}/archivemount

%changelog
* Tue Jan 18 2011 Niels de Vos <ndevos@redhat.com> 0.6.1-4
- fix the -debuginfo package as suggested by Tomas Mraz (BZ#598688 comment #12)

* Fri Jan 14 2011 Niels de Vos <ndevos@redhat.com> 0.6.1-3
- fix the -debuginfo package (BZ#598688 comment #10)

* Mon Jan 10 2011 Niels de Vos <niels@nixpanic.net> 0.6.1-2
- force running in single threaded mode (much more stable)
- fix some points from BZ #598688 comment #7

* Wed Jun 24 2010 Niels de Vos <ndevos@redhat.com> 0.6.1-1
- upstream fixed licensing in the source to LGPL (v2 or newer)
- new source does not contain autom4te.cache anymore, no need to 'rm -rf' it

* Tue Jun 15 2010 Niels de Vos <ndevos@redhat.com> 0.6.0-2
- fix license to GNU Library General Public v2 or newer
- remove packaged autoconf/automake cache files

* Mon Jun 01 2010 Niels de Vos <ndevos@redhat.com> 0.6.0-1
- Initial package
